# Generated by Django 3.2.9 on 2021-11-26 05:09

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import mycarehub.common.models.base_models
import mycarehub.common.models.utils
import mycarehub.users.models
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('common', '0013_alter_facilityattachment_content_type'),
        ('clients', '0014_auto_20211125_2058'),
    ]

    operations = [
        migrations.CreateModel(
            name='HealthDiaryQuote',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('active', models.BooleanField(default=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.UUIDField(blank=True, null=True)),
                ('updated', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_by', models.UUIDField(blank=True, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('quote', models.TextField(unique=True)),
                ('organisation', models.ForeignKey(default=mycarehub.users.models.default_organisation, on_delete=django.db.models.deletion.PROTECT, related_name='clients_healthdiaryquote_related', to='common.organisation')),
            ],
            options={
                'ordering': ('-updated', '-created'),
                'abstract': False,
            },
            managers=[
                ('objects', mycarehub.common.models.base_models.AbstractBaseManager()),
            ],
        ),
        migrations.CreateModel(
            name='HealthDiaryEntry',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('active', models.BooleanField(default=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.UUIDField(blank=True, null=True)),
                ('updated', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_by', models.UUIDField(blank=True, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('mood', models.CharField(choices=[('VERY_HAPPY', 'Very happy'), ('HAPPY', 'Happy'), ('NEUTRAL', 'Neutral'), ('SAD', 'Sad'), ('VERY_SAD', 'Very sad')], max_length=16)),
                ('note', models.TextField()),
                ('entry_type', models.CharField(choices=[('HOME_PAGE_HEALTH_DIARY_ENTRY', 'Home page health diary entry'), ('OTHER_NOTE', 'Other note e.g a note taken after a conversation')], default='HOME_PAGE_HEALTH_DIARY_ENTRY', max_length=36)),
                ('share_with_health_worker', models.BooleanField(default=False)),
                ('shared_at', models.DateTimeField(blank=True, null=True)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='clients.client')),
                ('organisation', models.ForeignKey(default=mycarehub.users.models.default_organisation, on_delete=django.db.models.deletion.PROTECT, related_name='clients_healthdiaryentry_related', to='common.organisation')),
            ],
            options={
                'verbose_name_plural': 'health diary entries',
                'ordering': ('-updated', '-created'),
                'abstract': False,
            },
            managers=[
                ('objects', mycarehub.common.models.base_models.AbstractBaseManager()),
            ],
        ),
        migrations.CreateModel(
            name='HealthDiaryAttachment',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('active', models.BooleanField(default=True)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('created_by', models.UUIDField(blank=True, null=True)),
                ('updated', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_by', models.UUIDField(blank=True, null=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('content_type', models.CharField(choices=[('image/png', 'PNG'), ('image/jpeg', 'JPEG'), ('application/pdf', 'PDF'), ('application/vnd.ms-excel', 'xlsx'), ('application/msword', 'doc'), ('application/vnd.openxmlformats-officedocument.wordprocessingml.document.docx', 'docx'), ('application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'xlsx'), ('text/plain', 'text'), ('video/mp4', 'MP4 Video'), ('audio/mp4', 'MP4 Audio')], max_length=100)),
                ('data', models.FileField(max_length=65535, upload_to=mycarehub.common.models.utils.get_directory)),
                ('title', models.CharField(max_length=255)),
                ('creation_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('size', models.IntegerField(blank=True, help_text='The size of the attachment in bytes', null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('aspect_ratio', models.CharField(blank=True, max_length=50, null=True)),
                ('health_diary_entry', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='clients.healthdiaryentry')),
                ('organisation', models.ForeignKey(default=mycarehub.users.models.default_organisation, on_delete=django.db.models.deletion.PROTECT, related_name='clients_healthdiaryattachment_related', to='common.organisation')),
            ],
            options={
                'ordering': ('-updated', '-created'),
                'abstract': False,
            },
            managers=[
                ('objects', mycarehub.common.models.base_models.AbstractBaseManager()),
            ],
        ),
    ]
